%global api     2
%global major   2
%define libname %mklibname enchant %api %major
%define devname %mklibname -d enchant %api

Name:          enchant2
Version:       2.2.15
Release:       %mkrel 1
Summary:       An Enchanting Spell Checking Library
Group:         System/Libraries

License:       LGPLv2+
URL:           https://github.com/AbiWord/enchant
Source0:       https://github.com/AbiWord/enchant/releases/download/v%{version}/enchant-%{version}.tar.gz

BuildRequires: aspell-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(hunspell)
BuildRequires: pkgconfig(libvoikko)
Provides:      bundled(gnulib)
Conflicts:     %{_lib}enchant2 < 2.2.3-2

%description
A library that wraps other spell checking backends.

%package aspell
Summary:       Integration with aspell for libenchant
Group:          System/Libraries

%description aspell
Libraries necessary to integrate applications using libenchant with aspell.

%package voikko
Summary:       Integration with voikko for libenchant
Group:          System/Libraries

%description voikko
Libraries necessary to integrate applications using libenchant with voikko.

%package -n %libname
Summary:        An Enchanting Spell Checking Library
Group:          System/Libraries
Obsoletes:      %{_lib}enchant2 < 2.2.3-2

%description -n %libname
A library that wraps other spell checking backends.

%package -n %devname
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %libname%{?_isa} = %{version}-%{release}
Provides:       enchant2-devel = %{version}-%{release}

%description -n %devname
The %devname package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n enchant-%{version}

%build
%configure \
    --with-aspell \
    --with-hunspell-dir=%{_datadir}/myspell \
    --disable-static

%make_build pkgdatadir=%{_datadir}/enchant-%{api}

%install
%make_install pkgdatadir=%{_datadir}/enchant-%{api}

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS NEWS README
%license COPYING.LIB
%{_bindir}/enchant-2
%{_bindir}/enchant-lsmod-2
%{_mandir}/man1/*
%{_datadir}/enchant-%{api}/

%files -n %libname
%license COPYING.LIB
%{_libdir}/libenchant-%{api}.so.%{major}{,.*}
%dir %{_libdir}/enchant-%{api}/
%{_libdir}/enchant-%{api}/enchant_hunspell.so

%files aspell
%{_libdir}/enchant-%{api}/enchant_aspell.so

%files voikko
%{_libdir}/enchant-%{api}/enchant_voikko.so

%files -n %devname
%{_libdir}/libenchant-%{api}.so
%{_libdir}/pkgconfig/enchant-%{api}.pc
%{_includedir}/enchant-%{api}/


%changelog
* Thu Dec 24 2020 daviddavid <daviddavid> 2.2.15-1.mga8
+ Revision: 1663324
- new version: 2.2.15

* Mon Dec 14 2020 daviddavid <daviddavid> 2.2.14-1.mga8
+ Revision: 1657386
- new version: 2.2.14

* Sun Nov 08 2020 daviddavid <daviddavid> 2.2.13-1.mga8
+ Revision: 1643565
- new version: 2.2.13

* Mon Oct 19 2020 daviddavid <daviddavid> 2.2.12-1.mga8
+ Revision: 1636915
- new version: 2.2.12

* Fri Sep 11 2020 daviddavid <daviddavid> 2.2.11-1.mga8
+ Revision: 1624662
- new version: 2.2.11

* Wed Sep 02 2020 daviddavid <daviddavid> 2.2.10-1.mga8
+ Revision: 1621134
- new version: 2.2.10

* Sun Aug 30 2020 daviddavid <daviddavid> 2.2.9-1.mga8
+ Revision: 1619733
- new version: 2.2.9

* Mon Mar 02 2020 daviddavid <daviddavid> 2.2.8-1.mga8
+ Revision: 1552951
- new version: 2.2.8

* Sun Feb 16 2020 umeabot <umeabot> 2.2.7-2.mga8
+ Revision: 1531815
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 15 2019 daviddavid <daviddavid> 2.2.7-1.mga8
+ Revision: 1441086
- new version: 2.2.7

* Tue Jul 02 2019 daviddavid <daviddavid> 2.2.5-1.mga8
+ Revision: 1417462
- new version: 2.2.5

* Sun Jun 30 2019 daviddavid <daviddavid> 2.2.4-1.mga8
+ Revision: 1416324
- new version: 2.2.4

* Fri Nov 23 2018 daviddavid <daviddavid> 2.2.3-6.mga7
+ Revision: 1333491
- rebuild for new hunspell 1.7.0

* Sun Sep 23 2018 umeabot <umeabot> 2.2.3-5.mga7
+ Revision: 1297602
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 pterjan <pterjan> 2.2.3-4.mga7
+ Revision: 1222959
- Remove erooneous provides, this was not the problem

* Sat Apr 28 2018 pterjan <pterjan> 2.2.3-3.mga7
+ Revision: 1222951
- Add arch independant provides on the lib, required by python packages

* Fri Apr 27 2018 wally <wally> 2.2.3-2.mga7
+ Revision: 1222931
- split out binaries etc. from lib pkg
- fix lib pkg name

* Thu Apr 26 2018 kekepower <kekepower> 2.2.3-1.mga7
+ Revision: 1222736
- Update to version 2.2.3

* Wed Mar 14 2018 tv <tv> 2.2.1-1.mga7
+ Revision: 1209173
- imported package enchant2


* Wed Mar 14 2018 Thierry Vignaud <tv@mageia.org> 2.2.1-1.mga7
- import from FC

* Wed Jan 03 2018 Sandro Mani <manisandro@gmail.com> - 2.2.1-1
- Update to 2.2.1

* Thu Dec 14 2017 Sandro Mani <manisandro@gmail.com> - 2.2.0-2
- Add patch to fix FSF addresses
- Kill rpath

* Wed Dec 13 2017 Sandro Mani <manisandro@gmail.com> - 2.2.0-1
- Initial package
